package com.yijia.label.service.impl;
import com.yijia.label.domain.CustomerLabelDemo;
import com.yijia.label.mapper.CustomerLabelDemoMapper;
import com.yijia.label.service.ICustomerLabelDemoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户标签Service业务层处理
 *
 * @author yijia
 * @date 2021-06-15
 */
@Service
public class CustomerLabelDemoServiceImpl implements ICustomerLabelDemoService
{
    @Autowired(required = false)
    private CustomerLabelDemoMapper customerLabelDemoMapper;

    /**
     * 查询用户标签列表
     *
     * @param customerLabelDemo 用户标签
     * @return 用户标签
     */
    @Override
    public List<CustomerLabelDemo> selectCustomerLabelDemoList(CustomerLabelDemo customerLabelDemo) {
        return customerLabelDemoMapper.selectCustomerLabelDemoList(customerLabelDemo);
    }

    @Override
    public List<CustomerLabelDemo> selectPhoneCustomerLabelList(CustomerLabelDemo customerLabelDemo) {
        return customerLabelDemoMapper.selectPhoneCustomerLabelList(customerLabelDemo);
    }
    /***
     * 二次查询
     * @param customerLabelDemo
     * @return
     */
    @Override
    public List<CustomerLabelDemo> secondCustomerLabelDemoList(CustomerLabelDemo customerLabelDemo) {
        return customerLabelDemoMapper.secondCustomerLabelDemoList(customerLabelDemo);
    }
}
