package com.yijia.station.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * LNG油站余额变化记录对象 station_balance_change
 *
 * @author yijia
 * @date 2021-07-13
 */
public class StationBalanceChange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 油站ID */
    @Excel(name = "油站ID")
    private Long stationId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 记录类型：+，充值；-，消费； */
    @Excel(name = "记录类型：+，充值；-，消费；")
    private String type;
    private String stationName;

    /** 销售价支付金额 */
    @Excel(name = "销售价支付金额")
    private BigDecimal amt;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setAmt(BigDecimal amt)
    {
        this.amt = amt;
    }

    public BigDecimal getAmt()
    {
        return amt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationId", getStationId())
            .append("orderNo", getOrderNo())
            .append("type", getType())
            .append("amt", getAmt())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
