package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 结算价格，司机价格对象 station_settlement_price
 *
 * @author yijia
 * @date 2021-07-13
 */
public class StationSettlementPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

     /** 站点id */
    @Excel(name = "站点id")
    private Long stationId;

    /** 结算价类型 （1.直降，2.折扣） */
    @Excel(name = "结算价类型 ", readConverterExp = "1=.直降，2.折扣")
    private String settlementType;

    /** 结算价（直降，折扣） */
    @Excel(name = "结算价", readConverterExp = "直=降，折扣")
    private String settlementPrice;

    /** 司机价 */
    @Excel(name = "司机价")
    private String driverPrice;

    private String stationName;
    private String balance;
    private Long deptId;

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setSettlementType(String settlementType)
    {
        this.settlementType = settlementType;
    }

    public String getSettlementType()
    {
        return settlementType;
    }
    public void setSettlementPrice(String settlementPrice)
    {
        this.settlementPrice = settlementPrice;
    }

    public String getSettlementPrice()
    {
        return settlementPrice;
    }
    public void setDriverPrice(String driverPrice)
    {
        this.driverPrice = driverPrice;
    }

    public String getDriverPrice()
    {
        return driverPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationId", getStationId())
            .append("settlementType", getSettlementType())
            .append("settlementPrice", getSettlementPrice())
            .append("driverPrice", getDriverPrice())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
