package com.yijia.station.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 结算价格，司机价格优惠调整对象 station_settlement_price_adjust
 *
 * @author yijia
 * @date 2021-07-14
 */
public class StationSettlementPriceAdjust extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 结算价格 */
    @Excel(name = "结算价格")
    private String settlementPrice;

    /** 结算类型 1直降，2折扣 */
    @Excel(name = "结算类型 1直降，2折扣")
    private String settlementType;

    /** 司机折扣 */
    @Excel(name = "司机折扣")
    private String driverPrice;

    /** 站点id */
    @Excel(name = "站点id")
    private Long stationId;
    private String stationName;

    private Long parentId;

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }


    public void setSettlementType(String settlementType)
    {
        this.settlementType = settlementType;
    }

    public String getSettlementType()
    {
        return settlementType;
    }

    public String getSettlementPrice() {
        return settlementPrice;
    }

    public void setSettlementPrice(String settlementPrice) {
        this.settlementPrice = settlementPrice;
    }

    public String getDriverPrice() {
        return driverPrice;
    }

    public void setDriverPrice(String driverPrice) {
        this.driverPrice = driverPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("settlementPrice", getSettlementPrice())
            .append("settlementType", getSettlementType())
            .append("driverPrice", getDriverPrice())
            .append("stationId", getStationId())
            .toString();
    }
}
