package com.yijia.station.mapper;

import java.util.List;
import com.yijia.station.domain.StationSettlementPriceAdjust;

/**
 * 结算价格，司机价格优惠调整Mapper接口
 * 
 * @author yijia
 * @date 2021-07-14
 */
public interface StationSettlementPriceAdjustMapper 
{
    /**
     * 查询结算价格，司机价格优惠调整
     * 
     * @param id 结算价格，司机价格优惠调整ID
     * @return 结算价格，司机价格优惠调整
     */
    public StationSettlementPriceAdjust selectStationSettlementPriceAdjustById(Integer id);

    /**
     * 查询结算价格，司机价格优惠调整列表
     * 
     * @param stationSettlementPriceAdjust 结算价格，司机价格优惠调整
     * @return 结算价格，司机价格优惠调整集合
     */
    public List<StationSettlementPriceAdjust> selectStationSettlementPriceAdjustList(StationSettlementPriceAdjust stationSettlementPriceAdjust);

    /**
     * 新增结算价格，司机价格优惠调整
     * 
     * @param stationSettlementPriceAdjust 结算价格，司机价格优惠调整
     * @return 结果
     */
    public int insertStationSettlementPriceAdjust(StationSettlementPriceAdjust stationSettlementPriceAdjust);

    /**
     * 修改结算价格，司机价格优惠调整
     * 
     * @param stationSettlementPriceAdjust 结算价格，司机价格优惠调整
     * @return 结果
     */
    public int updateStationSettlementPriceAdjust(StationSettlementPriceAdjust stationSettlementPriceAdjust);

    /**
     * 删除结算价格，司机价格优惠调整
     * 
     * @param id 结算价格，司机价格优惠调整ID
     * @return 结果
     */
    public int deleteStationSettlementPriceAdjustById(Integer id);

    /**
     * 批量删除结算价格，司机价格优惠调整
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationSettlementPriceAdjustByIds(Integer[] ids);
}
