package com.yijia.station.service;

import java.util.List;
import com.yijia.station.domain.StationBalanceChange;

/**
 * LNG油站余额变化记录Service接口
 * 
 * @author yijia
 * @date 2021-07-13
 */
public interface IStationBalanceChangeService 
{
    /**
     * 查询LNG油站余额变化记录
     * 
     * @param id LNG油站余额变化记录ID
     * @return LNG油站余额变化记录
     */
    public StationBalanceChange selectStationBalanceChangeById(Long id);

    /**
     * 查询LNG油站余额变化记录列表
     * 
     * @param stationBalanceChange LNG油站余额变化记录
     * @return LNG油站余额变化记录集合
     */
    public List<StationBalanceChange> selectStationBalanceChangeList(StationBalanceChange stationBalanceChange);

    /**
     * 新增LNG油站余额变化记录
     * 
     * @param stationBalanceChange LNG油站余额变化记录
     * @return 结果
     */
    public int insertStationBalanceChange(StationBalanceChange stationBalanceChange);

    /**
     * 修改LNG油站余额变化记录
     * 
     * @param stationBalanceChange LNG油站余额变化记录
     * @return 结果
     */
    public int updateStationBalanceChange(StationBalanceChange stationBalanceChange);

    /**
     * 批量删除LNG油站余额变化记录
     * 
     * @param ids 需要删除的LNG油站余额变化记录ID
     * @return 结果
     */
    public int deleteStationBalanceChangeByIds(Long[] ids);

    /**
     * 删除LNG油站余额变化记录信息
     * 
     * @param id LNG油站余额变化记录ID
     * @return 结果
     */
    public int deleteStationBalanceChangeById(Long id);
}
