package com.yijia.station.service;

import java.util.List;
import com.yijia.station.domain.StationSettlementPrice;

/**
 * 结算价格，司机价格Service接口
 * 
 * @author yijia
 * @date 2021-07-13
 */
public interface IStationSettlementPriceService 
{
    /**
     * 查询结算价格，司机价格
     * 
     * @param id 结算价格，司机价格ID
     * @return 结算价格，司机价格
     */
    public StationSettlementPrice selectStationSettlementPriceById(Integer id);

    /**
     * 查询结算价格，司机价格列表
     * 
     * @param stationSettlementPrice 结算价格，司机价格
     * @return 结算价格，司机价格集合
     */
    public List<StationSettlementPrice> selectStationSettlementPriceList(StationSettlementPrice stationSettlementPrice);

    /**
     * 新增结算价格，司机价格
     * 
     * @param stationSettlementPrice 结算价格，司机价格
     * @return 结果
     */
    public int insertStationSettlementPrice(StationSettlementPrice stationSettlementPrice);

    /**
     * 修改结算价格，司机价格
     * 
     * @param stationSettlementPrice 结算价格，司机价格
     * @return 结果
     */
    public int updateStationSettlementPrice(StationSettlementPrice stationSettlementPrice);

    /**
     * 批量删除结算价格，司机价格
     * 
     * @param ids 需要删除的结算价格，司机价格ID
     * @return 结果
     */
    public int deleteStationSettlementPriceByIds(Integer[] ids);

    /**
     * 删除结算价格，司机价格信息
     * 
     * @param id 结算价格，司机价格ID
     * @return 结果
     */
    public int deleteStationSettlementPriceById(Integer id);
}
